Hooks:PostHook(WeaponFactoryTweakData, "init", "VISMSightInit", function(self)


	local custom_sight_id = "wpn_fps_upg_o_vism"
	local based_on_id = "wpn_fps_upg_o_specter"
	local offset = Vector3(0, 12, -0.93) --original stances, tested on m16 translation = Vector3(0, 0, -0.12) || fixed pvm "translation":"Vector3(0, 6, -1)"
	
	--offset stances for all weapon that can use this sight
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			wpn_id.translation = (wpn_id.translation + offset)
		end
	end
	
	--for weapon part that override sight to have its own stances
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					wpn_id.translation = (wpn_id.translation + offset)
				end
			end
		end
	end

	
end)